
Redmine - Feature #18295

Soft delete of wiki pages

2014-11-06 14:40 - John Leach

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

If you delete a wiki page, it removes the page's whole history, and the delete action isn't listed in the activity.

This might technically be the correct behaviour for this kind of delete, but I need to delete a page that is no longer needed, but keep

the history (it's a wiki after all!) and have the action listed in the project activity like anything else.

Most other wiki delete functions do this - so having redmine's do a permanent delete is rather a suprise.

Some wikis just let you delete pages by saving an empty page, but Redmine doesn't let you do this.

Related issues:

Related to Redmine - Feature #90: Show deleted wiki pages or wiki files on th... New

Related to Redmine - Feature #18669: Ability to remove Wiki (page) history New

History

#1 - 2014-11-11 12:57 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

- Subject changed from deleting wiki pages deletes the page's whole history to Soft delete of wiki pages

#2 - 2014-11-11 12:57 - Jean-Philippe Lang

- Related to Feature #90: Show deleted wiki pages or wiki files on the activity added

#3 - 2015-01-15 13:15 - Toshi MARUYAMA

- Related to Feature #18669: Ability to remove Wiki (page) history added

#4 - 2018-11-12 13:41 - Alexander Ryabinovskiy

Do you have any resolution on this feature?

Is it too hard to implement? Or are you don`t agree with this concept? Or did you just forget about this issue?

I agree with author, this feauture is must-have in good wiki engine.

#5 - 2023-06-01 21:09 - Fernando Hartmann

+1
